#include<iostream>
using namespace std;
const int mod=998244353;
int main () {
    long long n,m,k;
    cin>>n>>m>>k;
    long long ans=1;
    if(k==1){
        for(int i=1;i<=n;i++){
            ans*=m;
            ans%=mod;
        }
    }
    cout<<ans<<"\n";
    return 0;
}
